Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Juri Linkov <[email-masked]>
Date: Sun, 18 Nov 2018 00:04:04 +0200

>> I don't use the mouse.  Whereas window-local tab-bar showing a list
>> of prev/next-buffers allows using the keyboard to navigate.
>> For example, when the window-local tab-bar shows such tabs:
>>
>> [buffer-2] [buffer-1] [current-buffer] [buffer+1] [buffer+2]
>>
>> Then I know that I can just type `C-2 C-x left' to get to the second
>> previous buffer, or to get the second next buffer with `C-2 C-x right'.
>
> Then we at least facultatively should show that prefix number in the
> tab.

Web browsers allow switching tabs by absolute numbers, e.g. C-2 or M-2,
but they don't show these numbers in tabs.